//gcc -lnsl -lresolv <prog>.c -o <prog> && ./prog

//call once before using to initialize connection to server
void init(char* server_ip, int port);

//get bit-position in array for given coordinates
int getPos(int x, int y);

//write bit to array. 
//ONLY USE IF YOU KNOW WHAT YOU ARE DOING!
//NO ERROR DETECTION!
//use putPixel(in, x,y) instead
void writeToArray(int in, int pos);

//clear array (all pixels off)
void resetScreen();

//send to screen
int display();

//lights up pixel (x,y) with intensity in (0: off,255: white)
//might be trimmed to 2 MSB (4 grayscale)
void putPixel(int x, int y, unsigned char in);

//shows a 3x9px digit on screen. x/y is upper left corner
void putNumber(int n, int x, int y, unsigned char in);


//3x5 char
void putChar(unsigned char c, int x, int y, unsigned char in);

//displays string at desired location
void scprintf(unsigned char* s, int x, int y, unsigned char in);
