//gcc -lnsl -lresolv clock.c -o clock && ./clock 127.0.0.1 1024

#include "TCP_Client.c"
//#include "screen.h"
#include <time.h>
//#include "putNumber.h"

int main(int argc, char *argv[])
{
	if(argc!=3)
	{
		printf("Usage: ./clock <Servername> <Serverport>\n");
		exit(1);
	}
	init(argv[1],atoi(argv[2]));
	time_t timer;
	char t[10];
	do
	{
		//usleep(CLOCKS_PER_SEC/10);		
		timer=time(NULL);
		strftime(t, 3, "%H", localtime(&timer));
		int h=atoi(t);
		strftime(t, 3, "%M", localtime(&timer));
		int m=atoi(t);
		strftime(t, 3, "%S", localtime(&timer));
		int s=atoi(t);
		
		putChar(':',6+s%2,3,255);
		putChar(':',15+s%2,3,255);
			
		putNumber(h/10,0,1,255);
		putNumber(h%10,4,1,255);
		putNumber(m/10,9,1,255);
		putNumber(m%10,13,1,255);
		putNumber(s/10,18,1,255);
		putNumber(s%10,22,1,255);
		
		usleep(75000);
	}while(display());
	return 0;
}
